#pragma once

#include "../../ecs_component.h"
#include "../../component/action/component_action_spawn.h"
#include "../../component/action/component_action_wave.h"

void entity_spawner_init(ECS* ecs, u32 id, u32 targetID);
void entity_spawner_wave_add(ECS* ecs, u32 id, SpawnWave* spawnWave);
